Subject: GLP-1 Shaming
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 20 Apr 2026 22:03:00 +0000

Happy Monday! 

Peptides are all the rage these days.

It seems like everyone and their neighbor is jumping on the optimization train.

But are peptides and HRT cheating?

I don’t think so. 

In fact, specifically referring to GLP-1s, I would argue that you are using one of the most powerful longevity tools we have ever discovered.

But try telling that to the neighbor who gives you the side-eye at the mailbox. 

Or the coworker who asks why you took the easy way out. 

Or the voice in your own head that whispers you should have just tried harder.

I have heard versions of this story from hundreds of readers over the past two years. 

People are shredding fat, watching their blood pressure decrease, their A1C levels normalize, and their joint pain fade. Yet, they still hide their peptide stash in the back of the fridge when guests arrive.

Well, [a new study from the American Psychological Association](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fsah0000689) just put numbers to what many of us already feel in our gut. 

The shame around peptide use is real, measurable, and worse than I expected.

———————————————————————————

**The Study**

Researchers at George Washington University conducted a simple experiment with 402 women aged 30 to 49. 

All of them were overweight or obese. Half were Black, half were White.

Each woman read a short story about a fictional person named Evette who lost 15% of her body weight. 

Only two details changed between groups. 

Evette's race and whether she lost weight with GLP-1 or with diet and exercise.

Then each participant rated Evette on how she came across. 

Did she seem likable? 

Would they want her as a neighbor? 

Did they blame her for being heavy in the first place? 

Did she take a shortcut?

Same woman. Same weight loss. Same end result. The only thing that changed was the method.

The judgment gap was enormous.

———————————————————————————

**The Results**

When Evette lost weight with diet and exercise, people rated her pretty favorably. 

**But when she lost the exact same amount of weight with a GLP-1, the scores turned ugly fast.**

On a scale of 1 to 7 measuring whether she cheated or took a shortcut, diet-and-exercise Evette scored around 1.2. 

GLP-1 Evette scored over 3._ Essentially, she was over 100% more disliked. _

The researchers then traced how that one belief rippled outward. 

People who thought Evette took a shortcut also rated her as less likable. 

They wanted more social distance from her. 

They blamed her more for being fat in the first place. 

They described her in harsher terms.

In the words of the authors:

“**Findings underscore the need for challenging biases about “acceptable” weight loss strategies for women with obesity to reduce stigma, ensure appropriate care, and protect long-term health.**“ — 

———————————————————————————

**The Limitations**

Worth naming a few things before I go further.

The study only included women between 30 and 49 who identified as having overweight or obesity. 

The researchers used one photo of Evette as White and one as Black. Some of the effects could come from those specific images rather than race itself.

And the average stigma scores, while clearly elevated in the GLP-1 conditions, still fell on the milder end of the scale. 

———————————————————————————

**My Perspective**

We are watching a population-scale rejection of what may be the most important metabolic intervention of the last fifty years. 

GLP-1s are so much more than just weight loss drugs. 

The cardiovascular data is real. 

Blood pressure drops. Cholesterol improves. Kidney outcomes improve. Benefits on Alzheimer's, addiction, and chronic inflammation keep stacking up. 

These compounds are rewriting what chronic disease treatment looks like.

And yet one in eight Americans is currently on one, while the other seven stand around deciding whether those users deserve respect.

Nobody says a person with Type 1 diabetes cheated by using insulin. Nobody accuses a blood pressure patient of lacking willpower for taking lisinopril. 

But a GLP-1 for a metabolic disease with clear genetic and hormonal drivers gets treated as a character flaw.

If you are on a GLP-1 and you feel like you have to hide it, the stigma is working exactly as designed. 

It pushes people off treatment, it keeps people from asking their doctors, and it shortens lives.

———————————————————————————

**Final Thoughts**

If there is anyone who is a proponent of intelligent GLP-1 use, it’s me.

I always say, these peptides should be used as a catalyst, then stack the rest of the lifestyle work to enhance results.

Resistance training to protect lean mass. 

Protein intake high enough to keep you metabolically strong through the weight loss phase. 

Sleep well. Handle Stress. Walk 10k steps per day. 

Everything we talk about from a lifestyle standpoint matters. 

Maybe more than ever, when you are on a GLP-1, because the medication gives you the window to actually build the habits without fighting your appetite the whole way.

But do not let someone else's opinion about your peptide use decide how you approach your health.

The judgment you are feeling is a signal that the culture has not caught up to the science yet. 

That takes time. 

Your job in the meantime is to stay healthy long enough to watch the narrative flip.

Best,

Hunter Williams

———————————————————————————

**Further Reading**

[Post, S. M., Stock, M. L., & Persky, S. (2026). Social Perceptions of Weight Loss With Glucagon-Like Peptide-1 (GLP-1) Receptor Agonists in Black and White Women With Obesity. ](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fsah0000689)_[Stigma and Health](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fsah0000689)_[.](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fsah0000689)

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/glp-1-shaming